program lenschi2
USE CONSTANTS
USE COSMOLOGY
USE PROFILE
USE INPUTDATA
USE CHI2CALC

IMPLICIT NONE

DOUBLE PRECISION :: rs,dc,conc
CHARACTER*80 :: INPUTFILE
CHARACTER*80 :: OUTPUTFILE
DOUBLE PRECISION :: rreal,creal,dreal,Mreal,cmin,chicalc,Mmin,chimin
DOUBLE PRECISION :: rscan,cscan,dscan,Mscan
DOUBLE PRECISION :: xtheory,sheartheory
INTEGER :: I

! THE COSMOLOGICAL MODEL: FLAT LCDM
cosmopar%omegam=0.27d0

! THE DATA
NDAT=627656
zlens = 0.245d0
sigmashear=0.3d0

dAlens = dA(zlens)
rhoclens=rhocrit(zlens)

INPUTFILE="../Data/halo5.tab"
CALL READINPUT(INPUTFILE)



OPEN(UNIT=11,FILE="../Data/chiscan.dat",FORM="FORMATTED",STATUS="UNKNOWN")







CLOSE(11)
WRITE(*,*) 'Minimum at Mass M200 = ',Mmin 
WRITE(*,*) 'Minimum at concentration c200 = ',cmin 





end program lenschi2
